package com.qianhe.service;

import com.qianhe.domain.SjGfjsZsdwkhpj;

import java.util.List;

/**
 * 规范建设-直属单位考核评价Service接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface ISjGfjsZsdwkhpjService
{
    /**
     * 查询规范建设-直属单位考核评价
     * 
     * @param id 规范建设-直属单位考核评价主键
     * @return 规范建设-直属单位考核评价
     */
    public SjGfjsZsdwkhpj selectSjGfjsZsdwkhpjById(Long id);

    /**
     * 查询规范建设-直属单位考核评价列表
     * 
     * @param sjGfjsZsdwkhpj 规范建设-直属单位考核评价
     * @return 规范建设-直属单位考核评价集合
     */
    public List<SjGfjsZsdwkhpj> selectSjGfjsZsdwkhpjList(SjGfjsZsdwkhpj sjGfjsZsdwkhpj);

    public List<SjGfjsZsdwkhpj> selectSjGfjsZsdwkhpjList_Bfz(SjGfjsZsdwkhpj sjGfjsZsdwkhpj);

    /**
     * 新增规范建设-直属单位考核评价
     * 
     * @param sjGfjsZsdwkhpj 规范建设-直属单位考核评价
     * @return 结果
     */
    public int insertSjGfjsZsdwkhpj(SjGfjsZsdwkhpj sjGfjsZsdwkhpj);

    /**
     * 修改规范建设-直属单位考核评价
     * 
     * @param sjGfjsZsdwkhpj 规范建设-直属单位考核评价
     * @return 结果
     */
    public int updateSjGfjsZsdwkhpj(SjGfjsZsdwkhpj sjGfjsZsdwkhpj);

    /**
     * 批量删除规范建设-直属单位考核评价
     * 
     * @param ids 需要删除的规范建设-直属单位考核评价主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjByIds(Long[] ids);

    /**
     * 删除规范建设-直属单位考核评价信息
     * 
     * @param id 规范建设-直属单位考核评价主键
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjById(Long id);

    int batchSave(List<SjGfjsZsdwkhpj> addList);

    int pledit(List<SjGfjsZsdwkhpj> list);

    int pledit_Bfz(List<SjGfjsZsdwkhpj> list);

}
